Subject: Re: bug#19194: 24.4.50; `window-body-width' is not dynamic relative to font size changes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Nov 2014 21:20:05 +0200

> Date: Fri, 28 Nov 2014 19:38:20 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >> That's what I'm trying to fathom out here all the time.  So when
>  >> calculating the actual height of a character as it will be displayed in
>  >> a window I have to apply (in some order) the height attribute specified
>  >> by (1) the font of the frame the window belongs to, (2) the font of the
>  >> buffer shown in the window, and (3) the font of the default face.
>  >
>  > We always use the current default face's font for this.  Otherwise,
>  > you get to a problem that IMO is insoluble even in principle.
> 
> But doesn't that imply that `frame-char-height' is just an artifact?

It's useful for dealing with measures in canonical character units.

>  >> OK.  Now how do I get the `default-font-width' from that?
>  >
>  > You need help from Emacs, because it knows everything about that
>  > font's metrics.  But we don't have an API for that for now.
> 
> I see.  Can you provide one?

Added to my todo.